update configuration record by id
1 min
PUT
https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject
200<p>Success-the configuration record is updated.</p>
400<p>Bad Request-the request body is either missing the required fields or the validations have failed for the request body.</p>
401<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>
404<p>Not Found-the requested resource was not found in the NoChannel system.</p>
415<p>Unsupported Media Type-content type isn't set to application/json.</p>
curl --request PUT \
--url https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"templateId": "",
"data": {
"taxProvider": "",
"taxCalculationEnabled": "",
"addressValidationEnabled": "",
"documentRecordingEnabled": "",
"transactionLoggingEnabled": "",
"username": "",
"companyCode": "",
"environment": "",
"timeoutSeconds": "",
"password": "",
"taxAddress": {
"city": "",
"street1": "",
"country": "",
"postalCode": "",
"stateOrRegion": ""
}
},
"enabled": ""
}'